# OpenLayers.Control.Zoom

The Zoom control is a pair of +/- links for zooming in and out.

#### Inherits from

- OpenLayers.Control

Summary

OpenLayers.Control.Zoom | The Zoom control is a pair of +/- links for zooming in and out.
Properties |
zoomInText | {String} Text for zoom-in link.
zoomInId | {String} Instead of having the control create a zoom in link, you can provide the identifier for an anchor element already added to the document.
zoomOutText | {String} Text for zoom-out link.
zoomOutId | {String} Instead of having the control create a zoom out link, you can provide the identifier for an anchor element already added to the document.
Functions |
draw | {DOMElement} A reference to the DOMElement containing the zoom links.
getOrCreateLinks |
onZoomClick | Called when zoomin/out link is clicked.
destroy | Clean up.

### Properties

### zoomInText

{String} Text for zoom-in link. Default is “+”.

### zoomInId

{String} Instead of having the control create a zoom in link, you can provide the identifier for an anchor element already added to the document. By default, an element with id “olZoomInLink” will be searched for and used if it exists.

### zoomOutText

{String} Text for zoom-out link. Default is “\u2212”.

### zoomOutId

{String} Instead of having the control create a zoom out link, you can provide the identifier for an anchor element already added to the document. By default, an element with id “olZoomOutLink” will be searched for and used if it exists.

### Functions

### draw

> draw: function()

#### Returns

{DOMElement} A reference to the DOMElement containing the zoom links.

### getOrCreateLinks

> getOrCreateLinks: function( | el | )

#### Parameters

el | {DOMElement}

#### Return

{Object} Object with zoomIn and zoomOut properties referencing links.

### onZoomClick

> onZoomClick: function( | evt | )

Called when zoomin/out link is clicked.

### destroy

> destroy: function()

Clean up.

> draw: function()

{DOMElement} A reference to the DOMElement containing the zoom links.

> getOrCreateLinks: function( | el | )

> onZoomClick: function( | evt | )

Called when zoomin/out link is clicked.

> destroy: function()

Clean up.
Controls affect the display or behavior of the map.
Close